import java.util.*;

public class Gen06 {

	public static void main(String[] args) {
		Random rand = new Random();
		String name[] = {"SPb IFMO", "SPb GU", "Moscow SU", "Saratov U", "Ural SU", 
				"Petrozavodsk SU", "Altai University", "Other SU"};
		System.out.println("10000 6000 1000");
		System.out.println(name[0]);
		for(int i = 0; i < 9999; ++i) {
			System.out.println(name[rand.nextInt(name.length)]);
		}
		for(int i = 0; i < 10000; ++i) {
			System.out.print((i + 1) + " ");
		}
	}
} 